- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# Glob Struct Reference

`#include <def.h>`

List of all members.

## Public Attributes
int | noGnu
| Flag: TRUE turns GnuPlot animation off.
int | noMeasurements
int | wait
| Flag: TRUE for waiting after each iteration.
int | usesig
| Flag: TRUE for using variances from datafile.
int | integrator
| Integrator selection.
int | stiff
int | nowait
| Flag: TRUE to prevent waiting after last iteration.
int | reg
| Flag: TRUE for turning automatic regularisation on.
int | simInit
| Flag: TRUE for using simulation based data for initialisation.
int | nodamp
| Flag: TRUE for suppress damping.
long | npar
| Number of parameters.
long | maxit
| Maximal number of iterations.
long | nIter
| Iteration counter.
int | nrExp
| Number of experiments.
int * | doP
| Fix and local parameters definition vector.
double ** | covar
| Covariance matrix of parameters.
double | chisq
| Current chi-square.
double | eps
| Integration accuracy.
long | rkqs_ign
| Controls the integration of the variational differential equations.
int | maxstp
| Maximal number of integration steps (Runge-Kutta).
double | minimp
| Minimal improvement of parameters.
double | elastic
| Factor for weakening the continuity constraints.
double | epsilon
double | lambda
double | dt
| Sampling for simit.
double | sig
| Relative Gaussian for simulations.
double | pert
| Perturbation of the simulated initial guess in %.
int * | y0fix
| Fix initial values.
double | wquer
| Controls damping.
FILE ** | gnuFp
| File pointer vector for GnuPlot animation.
long | ngnu
| Number of GnuPlot windows.
long | gnuindex
| Index of the current GnuPlot window.
long | fitdim
int | initSpline
| Flag: TRUE if splines should be initialised.
int | fitConverged
| 1 if fit is converged, 0 else
double | cond
double | Lambda
int | silent
int | strategy
int | minimiser
int | faktorLexist
double * | faktorL

## Detailed Description

Definition at line 199 of file def.h.

## Member Data Documentation

double Glob::chisq

| Current chi-square. Definition at line 244 of file def.h. Referenced by dampIt().

double Glob::cond

| Condition number of the liniearised system to be solved Definition at line 296 of file def.h.

double** Glob::covar

| Covariance matrix of parameters. Matrix of dimension: Definition at line 242 of file def.h. Referenced by outFit().

int* Glob::doP

| Fix and local parameters definition vector. TRUE : Fit parameter FALSE : Fix parameter 'L' : Local Parameter Vector of dimension: Definition at line 237 of file def.h. Referenced by initialise(), mexFunction(), Norm(), parseopts(), and tabulateValues().

double Glob::dt

| Sampling for simit. Definition at line 261 of file def.h. Referenced by mexFunction(), and parseopts().

double Glob::elastic

| Factor for weakening the continuity constraints. Definition at line 257 of file def.h. Referenced by condense(), decondense(), mexFunction(), and parseopts().

double Glob::eps

| Integration accuracy. Definition at line 246 of file def.h. Referenced by mexFunction(), parseopts(), and tabulateValues().

double Glob::epsilon

| Definition at line 258 of file def.h. Referenced by mexFunction(), and parseopts().

double* Glob::faktorL

| Definition at line 312 of file def.h. Referenced by parseopts().

int Glob::faktorLexist

| Definition at line 311 of file def.h. Referenced by parseopts().

int Glob::fitConverged

| 1 if fit is converged, 0 else Definition at line 292 of file def.h.

long Glob::fitdim

| Total number of fitted variables, needed for the covariance matrix Definition at line 288 of file def.h.

FILE** Glob::gnuFp

| File pointer vector for GnuPlot animation. Definition at line 280 of file def.h. Referenced by freeMem(), mexFunction(), and parseopts().

long Glob::gnuindex

| Index of the current GnuPlot window. Definition at line 284 of file def.h.

int Glob::initSpline

| Flag: TRUE if splines should be initialised. Definition at line 290 of file def.h. Referenced by mexFunction(), and parseopts().

int Glob::integrator

| Integrator selection. Definition at line 210 of file def.h. Referenced by mexFunction(), parseopts(), and tabulateValues().

double Glob::Lambda

| Actual damping parameter (not to be confused with lambda) Definition at line 300 of file def.h.

double Glob::lambda

| Definition at line 259 of file def.h. Referenced by mexFunction(), and parseopts().

long Glob::maxit

| Maximal number of iterations. Definition at line 224 of file def.h. Referenced by mexFunction(), and parseopts().

int Glob::maxstp

| Maximal number of integration steps (Runge-Kutta). Definition at line 250 of file def.h. Referenced by integrateRK(), mexFunction(), parseopts(), and tabulateValues().

int Glob::minimiser

| Definition at line 309 of file def.h. Referenced by mexFunction(), and parseopts().

double Glob::minimp

| Minimal improvement of parameters. Definition at line 252 of file def.h. Referenced by fitIt(), mexFunction(), and parseopts().

long Glob::ngnu

| Number of GnuPlot windows. Definition at line 282 of file def.h.

long Glob::nIter

| Iteration counter. Definition at line 226 of file def.h. Referenced by globOpt().

int Glob::nodamp

| Flag: TRUE for suppress damping. Definition at line 219 of file def.h. Referenced by mexFunction(), and parseopts().

int Glob::noGnu

| Flag: TRUE turns GnuPlot animation off. Definition at line 203 of file def.h. Referenced by mexFunction(), and parseopts().

int Glob::noMeasurements

| Definition at line 204 of file def.h. Referenced by mexFunction(), parseopts(), and setMesh().

int Glob::nowait

| Flag: TRUE to prevent waiting after last iteration. Definition at line 213 of file def.h. Referenced by mexFunction(), and parseopts().

long Glob::npar

| Number of parameters. Definition at line 222 of file def.h. Referenced by call_odessa(), computeRight(), condense(), decondense(), freeMem(), initialise(), intODE(), mexFunction(), Norm(), outFit(), parseopts(), solvLin(), subIt(), and tabulateValues().

int Glob::nrExp

| Number of experiments. Definition at line 228 of file def.h. Referenced by condense(), decondense(), fitIt(), fitness(), freeMem(), globOpt(), initialise(), main(), mexFunction(), Norm(), outFit(), parseopts(), setupGnuFp(), solvLin(), and subIt().

double Glob::pert

| Perturbation of the simulated initial guess in %. Definition at line 265 of file def.h. Referenced by mexFunction(), and parseopts().

int Glob::reg

| Flag: TRUE for turning automatic regularisation on. Definition at line 215 of file def.h. Referenced by mexFunction(), and parseopts().

long Glob::rkqs_ign

| Controls the integration of the variational differential equations. Definition at line 248 of file def.h. Referenced by tabulateValues().

double Glob::sig

| Relative Gaussian for simulations. Definition at line 263 of file def.h. Referenced by mexFunction(), outSimit(), and parseopts().

int Glob::silent

| Relaxiation Parameter Definition at line 303 of file def.h. Referenced by dampIt(), mexFunction(), and parseopts().

int Glob::simInit

| Flag: TRUE for using simulation based data for initialisation. Definition at line 217 of file def.h. Referenced by mexFunction(), and parseopts().

int Glob::stiff

| Definition at line 211 of file def.h. Referenced by mexFunction(), parseopts(), and tabulateValues().

int Glob::strategy

| if silent=1 no shell output is printed Definition at line 307 of file def.h. Referenced by outFit(), and parseopts().

int Glob::usesig

| Flag: TRUE for using variances from datafile. Definition at line 208 of file def.h. Referenced by mexFunction(), and parseopts().

int Glob::wait

| Flag: TRUE for waiting after each iteration. Definition at line 206 of file def.h. Referenced by mexFunction(), and parseopts().

double Glob::wquer

| Controls damping. Definition at line 276 of file def.h. Referenced by dampIt(), mexFunction(), and parseopts().

int* Glob::y0fix

| Fix initial values. TRUE : Fit initial value FALSE : Fix initial value Vector of dimension: Definition at line 273 of file def.h. Referenced by decondense(), fitness(), outFit(), parseopts(), and solvLin().

The documentation for this struct was generated from the following file:

- /home/peifer/diffit/def.h